HELP2MAN(1)

NAVN
help2man - opret en simpel manualside

SYNOPSIS
help2man [TILVALG]... KØRBAR

BESKRIVELSE
»help2man« opretter en manualside fra »--help« og »--version«.

-n, --name=STRENG
    beskrivelse for NAVN-paragraffen

-s, --section=SEKTION
    sektionsnummer for manualsiden (1, 6, 8)

-m, --manual=TEKST
    navn på manualside (brugerkommandoer, ...)

-S, --source=TEKST
    programmets oprindelse (FSF, Debian, ...)

-L, --locale=STRENG
    Vælg sprog (standard »C«)

-i, --include=FIL
    inkluder materiale fra »FIL«

-I, --opt-include=FIL
    inkluder materiale fra »FIL«, hvis den findes

-o, --output=FIL
    send resultat til »FIL«

-p, --info-page=TEKST
    Texinfo-manualens navn

-N, --no-info
    Udelad henvisning til Texinfo-manual

--help
    udskriv denne hjælpebesked og afslut

--version
    udskriv versionsnummer og afslut

KØRBAR skal understøtte tilvalgene »--help« og »--version« og sende deres resultat til standardud, dog kan alternativer angives via:

-h, --help-option=STRENG
    hjælpetilvalgsstreng

-v, --version-option=STRENG
    versionstilvalgsstreng

--version-string=STRENG
    versionstreng

--no-discard-stderr
    inkluder stderr når tilvalgsuddata fortolkes

Rapporter fejl til <bug-help2man@gnu.org>.

Ophavsret 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2020, 2021 Free Software Foundation, Inc. Dette er et frit program; se kildekoden for kopieringsbetingelser. Der gives INGEN garanti; end ikke for SALGBARHED eller EGNETHED FOR ET BESTEMT FORMÅL.

INKLUDERINGSFILER
Yderligere materiale kan inkluderes i de oprettede uddata med --include og --opt-include tilvalgene. Formatet er simpelt:
    [afsnit]
    tekst
    /mønster/
    tekst Blokke med ordret *roff-tekst indsættet i resultatet enten i begyndelsen af det angivne [afsnit] (versalfølsom), eller efter en paragraf der matcher /mønster/. Mønstre bruger Perls normale udtrykssyntaks og kan følges af i, s eller m modifikationer (se perlre(1)). Linjer før det første afsnit eller mønster, som begynder med »-« behandles som tilvalg. Alt andet ignoreres i stilhed og kan bruges for kommentarer, RCS-nøgleord og lignende. Rækkefølgen for afsnit (for dem inkluderet) er:
    NAVN
    SYNOPSIS
    BESKRIVELSE
    TILVALG
    andet
    MILJØ
    FILER
    EKSEMPLER
    FORFATTER
    FEJLRAPPORTER
    OPHAVSRET
    SE OGSÅ Alle [NAVN] eller [SYNOPSIS] afsnit der fremgår af inkluderingsfilen vil erstatte, hvad der ellers ville blive automatisk oprettet (selvom du stadig kan overskrive dette med --name hvis ønsket). Andre afsnit er foranstillet til det automatisk fremstillede for standardafsnittene angivet ovenfor, eller inkluderet i andet (over) i rækkefølgen de blev mødt i inkluderingsfilen. Placering af tekst inden i afsnittet kan eksplicit blive efterspurgt ved at bruge syntaksen [<afsnit], [=afsnit] eller [>afsnit] til at erstatte den ekstra tekst før, i stedet for, eller efter standarduddata respektivt.

TILGÆNGELIGHED
Den seneste version af denne distribution er tilgængelig på nettet fra:
    ftp://ftp.gnu.org/gnu/help2man/

FORFATTER
Skrevet af Brendan O'Dea <bod@debian.org>

SE OGSÅ
Den fulde dokumentation for help2man vedligeholdes som Texinfo-manual. Hvis info og help2man programmerne er korrekt installeret på din side, bør kommandoen

    info help2man

give dig adgang til hele manualen.